## org.apache.batik.parser
Class LengthListParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.LengthParser
              org.apache.batik.parser.LengthListParser

All Implemented Interfaces:
  Localizable, Parser

Direct Known Subclasses:
  LengthPairListParser

    public class LengthListParser

extends LengthParser

This class implements an event-based parser for the SVG length list values.

Field Summary

Fields inherited from class org.apache.batik.parser.LengthParser
`lengthHandler`

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`LengthListParser()` Creates a new LengthListParser.

Method Summary
`protected void` `doParse()` Parses the given reader.
`LengthListHandler` `getLengthListHandler()` Returns the length list handler in use.
`void` `setLengthListHandler(LengthListHandler handler)` Allows an application to register a length list handler.

Methods inherited from class org.apache.batik.parser.LengthParser
`getLengthHandler, parseLength, setLengthHandler`

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LengthListParser

    public LengthListParser()

  Creates a new LengthListParser.

Method Detail

### setLengthListHandler

    public void setLengthListHandler(LengthListHandler handler)

  Allows an application to register a length list handler.

  If the application does not register a handler, all events reported by the parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Parameters:
    `handler` - The transform list handler.

### getLengthListHandler

    public LengthListHandler getLengthListHandler()

  Returns the length list handler in use.

### doParse

    protected void doParse()
                    throws ParseException,
                           java.io.IOException

  Parses the given reader.

  Overrides:
    `doParse` in class `LengthParser`
  Throws:
    `ParseException`
    `java.io.IOException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.